#
# reading a simple file with header and ten value sets (time/value)
#

#----------------------------------------------------------------
# 2) reading character by character -> parsing values
#----------------------------------------------------------------

# data structure
ts_title = ""
number = -1
values <- vector("numeric",0)
time   <- vector("numeric",0)

# open connection to file 
connection = file("TestData1.txt",open="")
open(connection)
if(isOpen(connection)==FALSE) message("Huston, we have a problem with the file ;-(")

# initialization of the loop variables
text = ''
word = ""
flag = TRUE
i    = 1

# loop character by character until EOF 
while(TRUE)
 {
  text = readChar(connection,1)
  if(length(text)==0) break # check end of file -> empty text -> end of loop

# check character -> newline/space -> number or text
  
  if(text=='\n'||text==' ')         # newline and space for end of a word 
   {
    if(is.na(as.integer(word)))     # filter of text words
     {
      ts_title = paste(ts_title,word)
     }  
    else if(number==-1)             # number of data sets
     {
      number = as.integer(word)
      time    <- vector("numeric",number)
      values   <- vector("numeric",number)
      print(paste("Number parsed:",number))
     }
    else                            # time of value
     { 
      if(flag) time[i] = as.numeric(word)  # convert first word to numerics  -> time
      else { values[i] = as.numeric(word)  # convert second word to numerics -> value  
             i = i + 1                     # increment to next data set
      }
      flag = !flag                         # change time to value and reverse
     }
   word=""                                 # start new empty word
  }
 else word = paste(word,text,sep='')       # add new character to word
}

# close connection to file
close(connection)

# plot the data read from file
plot(time,values)
print(time)
print(values)
lines(time,values,col="blue")
title(ts_title)
