#
# reading a simple file with header and ten value sets (time/value)
#

#-----------------------------------------
# 3) reading word by word using scan
#-----------------------------------------
# data structure
ts_title = ""
number = -1
values <- vector("numeric",0)
time   <- vector("numeric",0)

# read list of word from file
wordarray = scan("TestData1.txt","character")

# initialization of the loop variables
flag = TRUE
i    = 1

#loop on words
for(w in 1:length(wordarray))
{
 if(is.na(as.integer(wordarray[w])))        # filter of text words
  {
   ts_title = paste(ts_title,wordarray[w])  # add word to title
   next
  }  
 # print(paste(i,w,wordarray[w]))
 if(number==-1)                             # number of data sets
  {
   number = as.integer(wordarray[w])        # parse number
   values <- vector("numeric",number)       # generate arrays
   time   <- vector("numeric",number)
   print(paste(" Number parsed: ",number))
   next
 }
 else 
  {
   if(flag) time[i] = as.numeric(wordarray[w])      # convert first word to numerics -> time
   else { values[i] = as.numeric(wordarray[w])      # convert second word to numerics -> value
          i = i + 1                                 # inkrement for next data set 
        }
   flag = !flag                                     # change from time to value and back
  }
}

# plot the data read from file
plot(time,values)
lines(time,values,col="blue")
title(ts_title)

