#
# ploting examples
#

#-----------------------------------------------------
# 1) single time series plot with graphical attributes
#-----------------------------------------------------
#
# reading the test data time series
time_series <- read.table("TestData1.txt",skip=2)

# plot the data read from file with point, lines and 
plot(time_series,xlab="time",ylab="value [m]")
lines(time_series,col="blue")
points(time_series,col="red")
grid()


#if(FALSE)
{
#plot(time_series,main="Test Data Example",type="b",xlab="time",ylab="value [m]",asp=1.,xlim=c(-5,10),ylim=c(0,8),fg=grey(.2),col.main="red")
#plot(time_series,main="Test Data Example",type="l",xlab="time",ylab="value [m]")
#plot(time_series,main="Test Data Example",type="b",xlab="time",ylab="value [m]")
plot(time_series,type="h",xlab="time",ylab="value [m]",col="grey",lwd=20)
#plot(time_series,type="s",xlab="time",ylab="value [m]")
#plot(time_series,type="S",xlab="time",ylab="value [m]")
points(time_series,col="red")

grid()
abline(v=(seq(-5,10,1)), col="lightblue", lty="dotted")
abline(h=(seq(-5,10,.5)), col="lightgreen", lty="dashed")
}
  
# install.packages("openair")
if(FALSE)
{
 install.packages("openair")
library(openair)
colnames(time_series)[1] <- "wd" 
colnames(time_series)[2] <- "ws" 
time_series[1,1] = 0.
time_series[2,1] = 10.
time_series[3,1] = 20.
time_series[4,1] = 30.
time_series[5,1] = 40.
time_series[6,1] = 50.
time_series[7,1] = 60.
time_series[8,1] = 70.
time_series[9,1] = 120.
time_series[10,1] = 270.
windRose(time_series)
}

