#
# reading a simple file with header and ten value sets (time/value)
#

#-----------------------------------------
# 4) reading line by line
#-----------------------------------------
# using later the package for word extraction
# install.packages("stringr")
library(stringr)

# data structure
ts_title = ""
number = -1
values <- vector("numeric",0)
time   <- vector("numeric",0)

# open connection to file 
connection = file("TestData1.txt",open="")
open(connection)

# initialization of the loop variables
text=' '  #line content as text
i=1       # data set index

# read the first line -> comment 
ts_title = readLines(connection,1)
print(paste("File head Line:",ts_title))

# read the secound line -> number of data sets in time series
# convert to integer
text   <- readLines(connection,1)
number <- as.integer(text)
print(paste("Number of Data set in time series:", number))

# prepare data arrays
values <- vector("numeric",number)
time   <- vector("numeric",number)

# loop on data sets
while(i<=number)
{
  text = readLines(connection,1)            # read one line
  # print(paste("i",i," ",number,text))
  time[i]   = as.numeric(word(text,1))      # convert first word to numerics
  values[i] = as.numeric(word(text,2,-1))   # convert second word to numerics
  # print(paste("i",i," ",time[i]," ",values[i]))
  i = i + 1                                 # loop index
}
# close the connection
close(connection)

# plot the data read from file
plot(time,values)
lines(time,values,col="blue")
title(ts_title)
